osl::eval::ml::PtypeCombination Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Static Public Member Functions | Static Private Member Functions | Static Private Attributes | List of all members
osl::eval::ml::PtypeCombination Class Reference

`#include <minorPiece.h>`

Collaboration diagram for osl::eval::ml::PtypeCombination:
[legend]

## Public Types
enum | { ONE_DIM = 8192, DIM = ONE_DIM * EvalStages }

## Static Public Member Functions
static void | setUp (const Weights &weights)
static MultiInt | eval (unsigned int ptypeo_mask)

## Static Private Member Functions
template<Player P>
static MultiInt | evalOne (unsigned int ptypeo_mask)

## Static Private Attributes
static CArray< MultiInt, 8192 > | table

## Detailed Description

Definition at line 1606 of file minorPiece.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 1609 of file minorPiece.h.

## Member Function Documentation

osl::MultiInt osl::eval::ml::PtypeCombination::eval | ( | unsigned int | ptypeo_mask) |  |
| static

Definition at line 2293 of file minorPiece.cc.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

template<Player P>

static MultiInt osl::eval::ml::PtypeCombination::evalOne | ( | unsigned int | ptypeo_mask) |  |
| inlinestaticprivate

Definition at line 1614 of file minorPiece.h.

References osl::BLACK, and table.

void osl::eval::ml::PtypeCombination::setUp | ( | const Weights & | weights) |  |
| static

Definition at line 2261 of file minorPiece.cc.

References osl::NStages, and osl::eval::ml::Weights::value().

## Member Data Documentation

osl::misc::CArray< osl::MultiInt, 8192 > osl::eval::ml::PtypeCombination::table
| staticprivate

Definition at line 1624 of file minorPiece.h.

Referenced by evalOne().

The documentation for this class was generated from the following files:

- minorPiece.h
- minorPiece.cc